/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.client.frames.mainframe.impl;

import com.queplix.core.client.app.vo.FamgMeta;

/**
 * @author aliaksandr.melnik
 */
class GridHistoryRecord {
    private FamgMeta.Index index;
    private String formCaption;
    private Long recordId;
    private String description;

    public GridHistoryRecord(FamgMeta.Index index, String formCaption,
                             Long recordId, String description) {
        this.index = index;
        this.formCaption = formCaption;
        this.recordId = recordId;
        this.description = description;
    }

    public FamgMeta.Index getFormIndex() {
        return index;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFormCaption() {
        return formCaption;
    }

    public Long getRecordId() {
        return recordId;
    }
}